Subject: Re: [PATCH net v1 0/3] act_gate fixes and gate selftest update

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Jan 2026 11:12:20 -0800

On Mon, 19 Jan 2026 18:50:08 +0000 Paul Moses wrote:
> The big question currently is what is appropriate for stable. I do
> not believe it's possible to fix this issue without negatively
> impacting the performance of the gate without either using a unlock →
> cancel → relock pattern or conversion to RCU. Neither of which is
> ideal for stable, so more constructive input is needed.

The conversion to RCU looks like a solid choice and I think it's
acceptable for stable.

Let me send you a couple of trivial comments on patch 2, hopefully
once CCed the authors can provide deeper review.